<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Adstate Embeddable Solutions</title>
    <style>
      * {
        box-sizing: border-box;
      }

      body {
        background-color: #f0f0f0;
        font-size: 16px;
        font-family: sans-serif;
        line-height: 1.5;
        text-align: center;
        padding: 1em 0;
      }

      body > main {
        display: block;
        margin: 1em auto;
        align-items: center;
        text-align: left;
        width: 100%;
        max-width: 960px;
        padding: 1em;
        background-color: #ffffff;
        border-radius: 8px;
      }

      @media (min-width: 480px) {
        body > main {
          margin: 4em auto 0;
          padding: 2em 4em;
        }
      }

      a {
        color: #3d9c64;
        text-decoration: none;
      }

      a:hover,
      a:focus {
        text-decoration: underline;
      }

      .button {
        display: inline-block;
        padding: 0.5em 1em;
        border-radius: 4px;
        color: #ffffff;
        background-color: #3d9c64;
        text-decoration: none;
      }

      code,
      pre {
        border-radius: 4px;
        background-color: #ddd;
      }

      code {
        padding: 2px;
      }

      pre {
        padding: 1em;
        overflow: auto;
      }
    </style>
  </head>
  <body>
    <h1>Adstate Embeddable Solutions</h1>
    <p><a href="../">⬅️ Go back</a></p>
    <main>
      <h2>Memorial Pages Portal</h2>

      <p>
        <a href="./demo/" class="button">See demo</a>
      </p>

      <p>This is how you can embed our portal into your own website:</p>
      <ul>
        <li>
          <p>Include script:</p>
          <ul>
            <li>Production: <a href="https://embed.adstate.com/portal.js">https://embed.adstate.com/portal.js</a></li>
            <li>Testing: <a href="https://sandbox.embed.adstate.com/portal.js">https://sandbox.embed.adstate.com/portal.js</a></li>
            <li>Development: <a href="https://dev.embed.adstate.com/portal.js">https://dev.embed.adstate.com/portal.js</a></li>
          </ul>
        </li>
        <li>
          <p>
            Put the following tag in your page: <code>&lt;adstate-portal company=&quot;minnesider&quot;&gt;&lt;/adstate-portal&gt;</code>
          </p>
          <p>Note that there are multiple available attributes:</p>
          <ul>
            <li>
              <ul>
                <li>Name: <code>company</code></li>
                <li>Type: <code>string</code></li>
                <li>Default: none</li>
                <li>Description: ASCII name of your company (slug)</li>
              </ul>
            </li>
            <li>
              <ul>
                <li>Name: <code>useCookiePopUp</code></li>
                <li>Type: <code>boolean</code></li>
                <li>Default: <code>true</code></li>
                <li>
                  Description: Whether or not to use the cookie pop-up. If you choose <code>false</code>, all cookies and scripts are loaded
                  and we asume you handle user consent.
                </li>
              </ul>
            </li>
            <li>
              <ul>
                <li>Name: <code>displayLanguageSwitcher</code></li>
                <li>Type: <code>boolean</code></li>
                <li>Default: <code>true</code></li>
                <li>Description: Whether or not to show the language switcher.</li>
              </ul>
            </li>
            <li>
              <ul>
                <li>Name: <code>displayMenu</code></li>
                <li>Type: <code>boolean</code></li>
                <li>Default: <code>true</code></li>
                <li>Description: Whether or not to show the menu.</li>
              </ul>
            </li>
            <li>
              <ul>
                <li>Name: <code>displayLogo</code></li>
                <li>Type: <code>boolean</code></li>
                <li>Default: <code>true</code></li>
                <li>Description: Whether or not to show the logo.</li>
              </ul>
            </li>
            <li>
              <ul>
                <li>Name: <code>displayBanner</code></li>
                <li>Type: <code>boolean</code></li>
                <li>Default: <code>true</code></li>
                <li>Description: Whether or not to show the banner.</li>
              </ul>
            </li>
          </ul>
        </li>
      </ul>
      <p>For example like this:</p>
      <pre>
  &lt;!DOCTYPE html&gt;
  &lt;html lang=&quot;en&quot;&gt;
  &lt;head&gt;
      &lt;meta charset=&quot;UTF-8&quot;&gt;
      &lt;meta http-equiv=&quot;X-UA-Compatible&quot; content=&quot;IE=edge&quot;&gt;
      &lt;meta name=&quot;viewport&quot; content=&quot;width=device-width, initial-scale=1.0&quot;&gt;
      &lt;title&gt;Our website&lt;/title&gt;
  &lt;/head&gt;
  &lt;body&gt;
      &lt;nav&gt;
          &lt;img src=&quot;logo.jpg&quot; alt=&quot;&quot;&gt;
          &lt;ul&gt;
              &lt;li&gt;&lt;a href=&quot;#1&quot;&gt;Link 1&lt;/a&gt;&lt;/li&gt;
              &lt;li&gt;&lt;a href=&quot;#2&quot;&gt;Link 2&lt;/a&gt;&lt;/li&gt;
              &lt;li&gt;&lt;a href=&quot;#3&quot;&gt;Link 3&lt;/a&gt;&lt;/li&gt;
          &lt;/ul&gt;
      &lt;/nav&gt;
      &lt;main&gt;
        <strong>&lt;adstate-portal
          company=&quot;minnesider&quot;
          useCookiePopUp=&quot;true&quot;
          displayLanguageSwitcher=&quot;true&quot;
          displayMenu=&quot;true&quot;
          displayLogo=&quot;true&quot;
          displayBanner=&quot;true&quot;
        &gt;&lt;/adstate-portal&gt;</strong>
      &lt;/main&gt;
      &lt;footer&gt;
          &lt;p&gt;Page footer &copy; Copyright 2021&lt;/p&gt;
      &lt;/footer&gt;
      &lt;script src=&quot;https://embed.adstate.com/portal.js&quot;&gt;&lt;/script&gt;
  &lt;/body&gt;
  &lt;/html&gt;
</pre>
    </main>
  </body>
</html>
